package com.example.vdcscore.ui.livegames;

public class Game {
    private String id;
    private String homeTeam;
    private String awayTeam;
    private int homeScore;
    private int awayScore;
    private String time;
    private int homePossession;
    private int awayPossession;
    private int homeShots;
    private int awayShots;

    public Game(String id, String homeTeam, String awayTeam, int homeScore, int awayScore, String time) {
        this.id = id;
        this.homeTeam = homeTeam;
        this.awayTeam = awayTeam;
        this.homeScore = homeScore;
        this.awayScore = awayScore;
        this.time = time;
        // Default mocked stats
        this.homePossession = 50;
        this.awayPossession = 50;
        this.homeShots = 5;
        this.awayShots = 3;
    }

    public String getId() {
        return id;
    }

    public String getHomeTeam() {
        return homeTeam;
    }

    public String getAwayTeam() {
        return awayTeam;
    }

    public int getHomeScore() {
        return homeScore;
    }

    public int getAwayScore() {
        return awayScore;
    }

    public String getTime() {
        return time;
    }

    public int getHomePossession() {
        return homePossession;
    }

    public int getAwayPossession() {
        return awayPossession;
    }

    public int getHomeShots() {
        return homeShots;
    }

    public int getAwayShots() {
        return awayShots;
    }
}
